//
//  InterfaceController.swift
//  ForceTouch WatchKit Extension
//
//  Created by Wei-Meng Lee on 4/5/15.
//  Copyright (c) 2015 Wei-Meng Lee. All rights reserved.
//

import WatchKit
import Foundation


class InterfaceController: WKInterfaceController {

    @IBOutlet weak var image: WKInterfaceImage!
    
    @IBAction func mnuSingapore() {
        image.setImageNamed("flag_singapore")
    }
    
    @IBAction func mnuNorway() {
        image.setImageNamed("flag_norway")
    }
    
    func mnuCancel() {
        //---user tapped on Cancel---
    }
    
    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
        
        // Configure interface objects here.
        self.addMenuItemWithItemIcon(
            WKMenuItemIcon.Decline,
            title: "Cancel",
            action: "mnuCancel")
    }

    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
    }

}
