//
//  SecondInterfaceController.swift
//  NavigateUsingCode
//
//  Created by Wei-Meng Lee on 2/4/15.
//  Copyright (c) 2015 Wei-Meng Lee. All rights reserved.
//

import WatchKit
import Foundation


class SecondInterfaceController: WKInterfaceController {

    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
        
        // Configure interface objects here.
        println("SecondInterfaceController - awakeWithContext")
    }

    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
        println("SecondInterfaceController - willActivate")
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
        println("SecondInterfaceController - didDeactivate")
    }

}
