//
//  InterfaceController.swift
//  Switches WatchKit Extension
//
//  Created by Wei-Meng Lee on 6/4/15.
//  Copyright (c) 2015 Wei-Meng Lee. All rights reserved.
//

import WatchKit
import Foundation

class InterfaceController: WKInterfaceController {

    @IBOutlet weak var `switch`: WKInterfaceSwitch!
    
    @IBOutlet weak var label: WKInterfaceLabel!
    
    @IBAction func switchAction(value: Bool) {
        value ? label.setText("Aircon is on") : label.setText("Aircon is off")
    }
    
    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
        
        // Configure interface objects here.
        `switch`.setOn(false)
        label.setText("")
    }

    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
    }

}
